For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

Attach knowledge item to agent

POST
https://app.resemble.ai/api/v2/agents/:agent_uuid/knowledge_items
POST
/api/v2/agents/:agent_uuid/knowledge_items
$curl -X POST https://app.resemble.ai/api/v2/agents/agent_uuid/knowledge_items \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "knowledge_item_uuid": "string"
>}'
1{
2 "success": true,
3 "items": [
4 {}
5 ],
6 "message": "string"
7}
Attaches an existing knowledge item to an agent
Was this page helpful?
Previous

Detach knowledge item from agent

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"
The UUID of the agent

Request

This endpoint expects an object.
knowledge_item_uuidstringRequiredformat: "uuid"
The UUID of the knowledge item to attach

Response

Knowledge item attached successfully
successboolean
itemslist of objects
messagestring

Errors

422
Unprocessable Entity Error